.btn-payment, .btn-up {
    width: 100%;
    color: white;
    border: none;
    cursor: pointer;
    background-color: #046BD2;
    position: relative;
    border-radius: 12px;
    padding: 15px !important;
}
#popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10000;
}

#popup-content {
    background: #fff;
    padding: 40px;
    border-radius: 15px;
    position: relative;
    width: max-content;    
}

#popup-close {
    position: absolute;
    top: 8px;
    right: 8px;
    font-size: 24px;
    cursor: pointer;
    color: white;
    background: #fff;
    border-radius: 50%;
    display: flex;
    width: 34px;
    height: 34px;
    justify-content: center;
    align-items: center;
}
.promo2 {
    padding-bottom: 0px;
    margin-bottom: 0px;
}
#main-form .promo2 {
    padding: 0;
    margin: 0;
}
#main-form {
    max-width: 600px;
    width: calc(100vw - 80px);
    max-height: 80vh;
    display: flex;
    flex-direction: column;
    gap:30px;
    align-items: center;
    overflow-y: auto;
    position: relative;
}
#payment-form {    
    color: var(--e-global-color-secondary);
    max-width: 1200px;
    width: calc(100vw - 80px);
    max-height: 80vh;
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: center;
    overflow-y: auto;
    position: relative;
}
.btn-up-wrapper {
    display: none;
    position: fixed;
    bottom: calc(10vh + 10px);
    left: 0;
    width: 100%;
    justify-content: center;
    padding: 10px;
}
.btn-up {
    max-width: 200px;
}

.vk-comments-block {
    border-radius: 12px;
    background-color: #fff !important;
}
.payment-form-checkout {
    max-width: 600px;
}
.payment-form p {
    margin: 0;
}

.payment-form-wrapper {
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.payment-form-title {
    font-size: 24px;
    font-weight: bold;
}
.payment-methods {
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.payment-method {
    display: flex;    
    background-color: #eee;
    border-radius: 10px;
    padding: 10px;
}
.payment-method .payment_box {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.payment-method {
    position: relative;
    border: 1px solid #eee;
    transition: all .2s;
}
.payment-method:hover {
    border: 1px solid var(--e-global-color-primary);
}
.payment-method.selected {
    border: 1px solid var(--e-global-color-primary);
}
.payment-method.selected .product-check {
    display: flex !important;
    left: calc(50% - 44px);
    top: -13px;
}
.payment-method:not(.selected) {
    cursor: pointer;
}
.payment-form-header {
    margin-top: 20px;
}
.payment-form-footer {
    font-weight: bold;
}
div.popup-gem-block {
    align-items: flex-start;
    flex-direction: row;
    font-size: 28px;
}
.popup-gem-block .img img {
    max-height: 80px;
    max-width: 80px;
    border-radius: 6px;
}

.popup-gem-block .total-gem {
    color: var(--e-global-color-primary);
    font-weight: 600;
    margin-top: 10px;
    line-height: 1.4em;
}
.popup-close {
    color: #626161;
    text-align: center;
    cursor: pointer;
}

#total-price {
    color: var(--e-global-color-primary);
    font-size: 28px;
    font-weight: 600;
    margin-top: 10px;
    line-height: 1.4em;
}


@media (max-width: 767px) {
    .payment-form-title {
        font-size: 18px;
    }
    #popup-content {
        padding: 10px;
        height: 100dvh;
        width: 100dvw;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .admin-bar #popup-overlay {
        align-items: flex-end;    
    }
    .admin-bar #popup-content {
        height: calc(100dvh - 46px);
    }
    #popup-close {
        border-radius: 0 0 0 10px;
        z-index: 1;
    }
    #main-form, #payment-form, .payment-form-checkout {
        width: 100%;
        
    }      
    #payment-form {
        padding-top: 10px;       
    }
    #payment-form, .payment-form-checkout {
        height: 100%;
        max-height: unset;
    }
    .btn-up-wrapper {
        bottom: 10px;
    }
    .btn-up {
        max-width: calc(100% - 40px);
    }
}